responderpolicylabel

Last published : Oct 30, 2026
Configuration for responder policy label resource.

Properties

(click to see Operations )
Name Data Type Permissions Description
labelname <String> Read-write Name for the responder policy label. Must begin with a letter, number, or the underscore character (_), and must contain only letters, numbers, and the hyphen (-), period (.) hash (#), space ( ), at (@), equals (=), colon (:), and underscore characters. Cannot be changed after the responder policy label is added.
The following requirement applies only to the Citrix ADC CLI:
If the name includes one or more spaces, enclose the name in double or single quotation marks (for example, "my responder policy label" or my responder policy label').
policylabeltype <String> Read-write Type of responses sent by the policies bound to this policy label. Types are:
* HTTP - HTTP responses.
* OTHERTCP - NON-HTTP TCP responses.
* SIP_UDP - SIP responses.
* RADIUS - RADIUS responses.
* MYSQL - SQL responses in MySQL format.
* MSSQL - SQL responses in Microsoft SQL format.
* NAT - NAT response.
* MQTT - Trigger policies bind with MQTT type.
* MQTT_JUMBO - Trigger policies bind with MQTT Jumbo type.
Default value: HTTP
Possible values = HTTP, OTHERTCP, SIP_UDP, SIP_TCP, MYSQL, MSSQL, NAT, DIAMETER, RADIUS, DNS, MQTT, MQTT_JUMBO, QUIC_BRIDGE, HTTP_QUIC, UDP
comment <String> Read-write Any comments to preserve information about this responder policy label.
newname <String> Read-write New name for the responder policy label. Must begin with a letter, number, or the underscore character (_), and must contain only letters, numbers, and the hyphen (-), period (.) hash (#), space ( ), at (@), equals (=), colon (:), and underscore characters.
Minimum length = 1
numpol <Integer> Read-only number of polices bound to label.
hits <Integer> Read-only Number of times policy label was invoked.
priority <Integer> Read-only Specifies the priority of the policy.
gotopriorityexpression <String> Read-only Expression specifying the priority of the next policy which will get evaluated if the current policy rule evaluates to TRUE.
labeltype <String> Read-only Type of policy label to invoke. Available settings function as follows:
* vserver - Invoke an unnamed policy label associated with a virtual server.
* policylabel - Invoke a user-defined policy label.
Possible values = vserver, policylabel
invoke_labelname <String> Read-only * If labelType is policylabel, name of the policy label to invoke.
* If labelType is reqvserver or resvserver, name of the virtual server.
_nextgenapiresource <String> Read-only .
__count <Double> Read-only count parameter

Operations

(click to see Properties )
  • ADD
  • DELETE
  • GET (ALL)
  • GET
  • COUNT
  • RENAME
Some options that you can use for each operations:
  • Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:
    http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yes
    If any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
  • Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,
    To do this, you must specify the username and password in the request header of the NITRO request as follows:
    X-NITRO-USER: <username>
    X-NITRO-PASS: <password>
    Note: In such cases, make sure that the request header DOES not include the following:
    Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green

add

URL: http:// <netscaler-ip-address> /nitro/v1/config/responderpolicylabel HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"responderpolicylabel":{
<b>"labelname":<String_value>,
</b>"policylabeltype":<String_value>,
"comment":<String_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

delete

URL: http:// <netscaler-ip-address> /nitro/v1/config/responderpolicylabel/ labelname_value<String> HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

rename

URL: http:// <netscaler-ip-address> /nitro/v1/config/responderpolicylabel? action=rename HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"responderpolicylabel":{
<b>"labelname":<String_value>,
</b><b>"newname":<String_value>
</b>}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

get (all)

URL: http:// <netscaler-ip-address> /nitro/v1/config/responderpolicylabel Query-parameters: attrs http:// <netscaler-ip-address> /nitro/v1/config/responderpolicylabel? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
filter http:// <netscaler-ip-address> /nitro/v1/config/responderpolicylabel? filter=property-name1:property-val1,property-name2:property-val2
Use this query-parameter to get the filtered set of responderpolicylabel resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
view http:// <netscaler-ip-address> /nitro/v1/config/responderpolicylabel? view=summary
Use this query-parameter to get the summary output of responderpolicylabel resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
pagination http:// <netscaler-ip-address> /nitro/v1/config/responderpolicylabel? pagesize=#no;pageno=#no
Use this query-parameter to get the responderpolicylabel resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "responderpolicylabel": [ {
"labelname":<String_value>,
"policylabeltype":<String_value>,
"numpol":<Integer_value>,
"hits":<Integer_value>,
"priority":<Integer_value>,
"gotopriorityexpression":<String_value>,
"labeltype":<String_value>,
"invoke_labelname":<String_value>,
"comment":<String_value>,
"_nextgenapiresource":<String_value>
}]}

get

URL: http:// <netscaler-ip-address> /nitro/v1/config/responderpolicylabel/ labelname_value<String> Query-parameters: attrs http:// <netscaler-ip-address> /nitro/v1/config/responderpolicylabel/ labelname_value<String> ? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
view http:// <netscaler-ip-address> /nitro/v1/config/responderpolicylabel/ labelname_value<String> ? view=summary
Use this query-parameter to get the summary output of responderpolicylabel resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{  "responderpolicylabel": [ {
"labelname":<String_value>,
"policylabeltype":<String_value>,
"numpol":<Integer_value>,
"hits":<Integer_value>,
"priority":<Integer_value>,
"gotopriorityexpression":<String_value>,
"labeltype":<String_value>,
"invoke_labelname":<String_value>,
"comment":<String_value>,
"_nextgenapiresource":<String_value>
}]}

count

URL: http:// <netscaler-ip-address> /nitro/v1/config/responderpolicylabel? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "responderpolicylabel": [ { "__count": "#no"} ] }